Bug 589320 - Fujitsu T4215 Tablet PC + VGA + Fedora + X = issues
Fujitsu T4215 Tablet PC + VGA + Fedora + X = issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 16:23 EDT by Ryan H. Lewis (rhl)
Modified: 2011-06-27 12:06 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan H. Lewis (rhl) 2010-05-05 16:23:05 EDT
Description of problem:
The problem is there exists a comedy of software all trying to accomplish similar tasks, but none seem to really take the cake. Specifically running my Fujitsu T4215 Tablet PC, here is certain functionality which does not work, or if it does, it doesn't work in a stable fashion:

Automatic Tablet Rotation:
(This is implemented by a 3rd party tools written by Robert Gerlach called 'fjbtndrv' which stands for Fujitsu Button Driver) It also makes the wacom tablet buttons work. This software contains a kernel module as well as a daemon for checking if events have occured and handing them off to the various components of X/Fedora to make things rotate/move/etc.. In a somewhat unrelated note it appears ubuntu has packaged this software into their repository.

Automatic VGA detection: 
This just doesn't work, although it seems simple enough to implement, as xrandr seems to automatically notice VGA connections, it's just a matter of running something like:
        xrandr --output VGA1 --mode 1024x768
on a new connection.

Tablet Rotation + Automatic VGA detection:

The two features together just -- do not -- work together. It causes various forms of badness/evil. Including black screens of evil, or stubborn stylus' (styli?) which either don't work properly, or don't go to the point on the screen where they have been pointed to.

xsetwacom issues:

lately xsetwacom set DEVICE-NAME xyDefault doesn't work anymore, and neither does xsetwacom set DEVICE-NAME rotate ROTATE-DIR is also doing nothing for me, rendering the above rotation useless when it does happen to rotate the screen. Since no output, or errors or otherwise are produced, I don't no what to do.

It also appears xsetwacom's developers are affiliated in some way I don't understand to Red Hat.

I would like to help fix these problems, as I am a competent C/C++ programmer, have the necessary hardware, and want it to work but I have never done this development before. Also I would like to learn to package the necessary software into the fedora repositories, as well as submit the GPL kernel module to the linux kernel.

Furthermore I think this code as well as code for other tablets should be merged because they clearly do similar things, and there is no reason to duplicate efforts.

Version-Release number of selected component (if applicable):
Latest of everything.

How reproducible:
easily, all the time


Steps to Reproduce:
1. Get a Tablet PC, preferably fujitsu t4215 (easily found on ebay)
2. Install F12, fjbtndrv, and other wacom packages
3. insert vga cord into port, rotate, etc.
  
Actual results:
A borked machine, black screens etc.

Expected results:
A working machine
Comment 1 Jarod Wilson 2010-05-05 16:32:14 EDT
This doesn't sound like a wacomexpresskeys bug to me, it sounds like multiple bugs, against multiple components, and it all starts with an out-of-tree kernel driver, fjbtndrv, followed by either a kernel modesetting bug or an xorg driver bug. Reassigning over to kernel for now.
Comment 2 Ryan H. Lewis (rhl) 2010-05-05 16:36:37 EDT
I agree, I wasn't sure where to put the bug(s). Hopefully someone can help me help you all.
Comment 3 Bug Zapper 2011-06-02 10:27:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 12:06:54 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.